{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function memberof, msg, center_window\r\ndeclare subroutine end_dialog\r\n$insert msg_equates\r\n\r\nif index( CreateParam, 'CENTER', 1 ) then\r\n    void = center_window( @window )\r\nend else\r\n    Void = set_property( @window, 'VISIBLE', 1 )\r\nend\r\n\r\nif memberof( @user4, 'MASTER' ) or memberof( @user4, 'ENGINEERING' ) or memberof( @user4, 'SUPERVISOR' ) else\r\n    MsgInfo = ''\r\n    MsgInfo<mtext$> = 'You do not have proper security to run the engineering report.'\r\n    MsgInfo<micon$> = 'H'\r\n    Void = msg( '', MsgInfo )\r\n    end_dialog( @window, 'CANCEL' )\r\nend\r\nRETURN 0"
        }
    }
}